﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;
using System.Diagnostics;

namespace DockManagerNew
{
    public partial class Form1 : Form
    {
        public Control treeView1 { get; set; }
        public Control treeView2 { get; set; }

        public Control treeView1Top { get; set; }
        public Control treeView2Top { get; set; }


        private ContainerControl container;
        private UltraDockManager ultraDockManager;
        public Form1()
        {
            InitializeComponent();

            container = new ContainerControl();
            container.Size = new System.Drawing.Size(splitContainer1.Panel2.Bounds.Width, splitContainer1.Panel2.Bounds.Height);
            container.Dock = DockStyle.Fill;
            container.SetBounds(splitContainer1.Panel2.Bounds.X, splitContainer1.Panel2.Bounds.Y, splitContainer1.Panel2.Bounds.Width, splitContainer1.Panel2.Bounds.Height);
            container.Parent = splitContainer1.Panel2;
            container.BackColor = Color.LightYellow;


            //Create UltraDockManager
            ultraDockManager = new UltraDockManager(container.Container);
            Infragistics.Win.UltraWinDock.UnpinnedTabArea aleft = new UnpinnedTabArea();
            Infragistics.Win.UltraWinDock.UnpinnedTabArea aright = new UnpinnedTabArea();
            Infragistics.Win.UltraWinDock.UnpinnedTabArea abottom = new UnpinnedTabArea();
            Infragistics.Win.UltraWinDock.UnpinnedTabArea atop = new UnpinnedTabArea();
            Infragistics.Win.UltraWinDock.AutoHideControl acontrl = new AutoHideControl();
            ultraDockManager.HostControl = container;

            //UnpinnedTabAreaLeft
            aleft.Dock = System.Windows.Forms.DockStyle.Left;
            aleft.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            aleft.Location = new System.Drawing.Point(0, 0);
            aleft.Name = "_Form1UnpinnedTabAreaLeft";
            aleft.Owner = this.ultraDockManager;
            aleft.Size = new System.Drawing.Size(0, 359);
            aleft.TabIndex = 0;


            //UnpinnedTabAreaRight
            aright.Dock = System.Windows.Forms.DockStyle.Right;
            aright.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            aright.Location = new System.Drawing.Point(609, 0);
            aright.Name = "_Form1UnpinnedTabAreaRight";
            aright.Owner = this.ultraDockManager;
            aright.Size = new System.Drawing.Size(0, 359);
            aright.TabIndex = 1;


            //UnpinnedTabAreaTop
            atop.Dock = System.Windows.Forms.DockStyle.Top;
            atop.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            atop.Location = new System.Drawing.Point(0, 0);
            atop.Name = "_Form1UnpinnedTabAreaTop";
            atop.Owner = this.ultraDockManager;
            atop.Size = new System.Drawing.Size(609, 0);
            atop.TabIndex = 2;

            //UnpinnedTabAreaBottom
            abottom.Dock = System.Windows.Forms.DockStyle.Bottom;
            abottom.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            abottom.Location = new System.Drawing.Point(0, 359);
            abottom.Name = "_Form1UnpinnedTabAreaBottom";
            abottom.Owner = this.ultraDockManager;
            abottom.Size = new System.Drawing.Size(609, 0);
            abottom.TabIndex = 3;

            //UnpinnedTabAreaControl
            acontrl.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            acontrl.Location = new System.Drawing.Point(0, 0);
            acontrl.Name = "_Form1AutoHideControl";
            acontrl.Owner = this.ultraDockManager;
            acontrl.Size = new System.Drawing.Size(0, 0);
            acontrl.TabIndex = 4;

            container.Controls.Add(aleft);
            container.Controls.Add(aright);
            container.Controls.Add(atop);
            container.Controls.Add(abottom);
            container.Controls.Add(acontrl);

            ultraDockManager.HostControl = container;
            ultraDockManager.CompressUnpinnedTabs = false;
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            DockableControlPane dcpTreeView = new DockableControlPane("tree", "Tree View", this.treeView1);
            DockableControlPane dcpTreeView1 = new DockableControlPane("tree1", "Tree View1", this.treeView2);
            DockAreaPane dockArea = new DockAreaPane(DockedLocation.DockedRight);
            dockArea.ChildPaneStyle = ChildPaneStyle.TabGroup;
            dockArea.Panes.Add(dcpTreeView);
            dockArea.Panes.Add(dcpTreeView1);
            ultraDockManager.DockAreas.Add(dockArea);
        }
    }
}
